﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace XamDataGridFieldChooser
{
    public class Employee : INotifyPropertyChanged
    {
        public string Name { get; set; }
        public int Age { get; set; }

        private bool _hired;
        public bool Hired
        {
            get
            {
                return _hired;
            }
            set
            {
                _hired = value;
                RaisePropertyChanged("Hired");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void RaisePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
